# Weakref::__construct

(PECL weakref >= 0.1.0)

Weakref::__construct — Constructs a new weak reference

### Description

public Weakref::__construct ( object `$object` )

Constructs a new weak reference.

### Parameters

`object`

  The object to reference.

### Return Values

No value is returned.

### Examples

Example #1 Weakref::__construct() example

`<?php
class MyClass {
public function __destruct() {
echo "Destroying object!\n";
}
}
$o1 = new MyClass;
$r1 = new Weakref($o1);
if ($r1->valid()) {
echo "Object still exists!\n";
var_dump($r1->get());
} else {
echo "Object is dead!\n";
}
unset($o1);
if ($r1->valid()) {
echo "Object still exists!\n";
var_dump($r1->get());
} else {
echo "Object is dead!\n";
}
?>`

The above example will output:

    Object still exists!
    object(MyClass)#1 (0) {
    }
    Destroying object!
    Object is dead!